Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | Protected Attributes | List of all members
eZ\Publish\Core\REST\Client\Input\Parser\Session Class Reference

Value for Session. More...

Inheritance diagram for eZ\Publish\Core\REST\Client\Input\Parser\Session:

## Public Member Functions
| __construct (ParserTools $parserTools, UserService $userService)
| parse (array $data, ParsingDispatcher $parsingDispatcher)
| Parse input structure. More...
Public Member Functions inherited from eZ\Publish\Core\REST\Common\Input\BaseParser
| setRequestParser (RequestParser $requestParser)

## Protected Attributes
| $parserTools
| $userService
Protected Attributes inherited from eZ\Publish\Core\REST\Common\Input\BaseParser
| $requestParser

## Detailed Description

Value for Session.

Definition at line 18 of file Session.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZ\Publish\Core\REST\Client\Input\Parser\Session::__construct | ( | ParserTools | $parserTools,
|  | UserService | $userService
| ) |  |

Parameters

  \eZ\Publish\Core\REST\Common\Input\ParserTools | $parserTools |
  \eZ\Publish\API\Repository\UserService | $userService |

Definition at line 34 of file Session.php.

References eZ\Publish\Core\REST\Client\Input\Parser\Session\$parserTools, and eZ\Publish\Core\REST\Client\Input\Parser\Session\$userService.

## Member Function Documentation

## ◆ parse()

eZ\Publish\Core\REST\Client\Input\Parser\Session::parse | ( | array | $data,
|  | ParsingDispatcher | $parsingDispatcher
| ) |  |

Parse input structure.

Parameters

  array | $data |
  \eZ\Publish\Core\REST\Common\Input\ParsingDispatcher | $parsingDispatcher |

Todo:
  Error handling

Returns
  \eZ\Publish\API\Repository\Values\User\Role

Definition at line 50 of file Session.php.

## Member Data Documentation

## ◆ $parserTools

eZ\Publish\Core\REST\Client\Input\Parser\Session::$parserTools
| protected

Definition at line 21 of file Session.php.

Referenced by eZ\Publish\Core\REST\Client\Input\Parser\Session\__construct().

## ◆ $userService

eZ\Publish\Core\REST\Client\Input\Parser\Session::$userService
| protected

Definition at line 28 of file Session.php.

Referenced by eZ\Publish\Core\REST\Client\Input\Parser\Session\__construct().

The documentation for this class was generated from the following file:

- Session.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.